Subject: RE: [Sip] WGLC for draft-ietf-sip-fork-loop-fix-01.txt

From: "Christer Holmberg \(JO/LMF\)" <[email-masked]>
Date: Wed, 12 Apr 2006 07:32:46 +0200

Hi, 

>>But still, is it a good idea to talk about what will happen in the 
>>"near future" in a standards document?
>>
>>Isn't it simply enough to keep the "MUST ensure that request is not 
>>looping through this proxy." statement? The proxy can then use 
>>whatever mechanism to acheive that.
>>
>>Because, if we now make the 3261 way a SHOULD, it may in future be too

>>"strong" due to other mechanisms (outbound etc) proxies may end up 
>>using.
>We had a thread related to this during the week of the Dallas meeting.
>Adam pushed to change this SHOULD to a MAY. Later in the week, Jonathan
argued the other direction. The essence of the argument was that history
has 
>shown us proper loop detection without misdiagnosing spirals is hard
(as demonstrated at the earlier SIPits) and implementations should use a

>standardized algorithm - right now the one in 3261 is the only
standardized algorithm we have.

Yes - currently. But the document should be useful also when/if we have
other mechansims.

So, maybe you could say: "MUST ensure, using a standards lopp detection
mechanism, that a request is not looping through this proxy. RFC 3261
defines a mechanism in chapter x.x.x.. Other standardized mechansims for
loop detecting MAY be used instead, or in addition, to the one defined
in RFC 3261.".

Or something like that...

Regards,

Christer

>> -----Original Message-----
>> From: Dean Willis [mailto:[email-masked]]
>> Sent: 10. huhtikuuta 2006 23:16
>> To: [email-masked]
>> Cc: Robert Sparks; Keith Drage
>> Subject: [Sip] WGLC for draft-ietf-sip-fork-loop-fix-01.txt
>>
>>
>> I'd like to ask the working group to review the "forking loop fix"
>> draft preparatory to requesting publication of it as a standards- 
>> track RFC.
>>
>>
>> The document revised following the Dallas meeting document is 
>> available from:
>>
>> http://www.ietf.org/internet-drafts/draft-ietf-sip-fork-loop-
>> fix-01.txt
>>
>>
>>
>> I'd like to complete this review by May 7, 2006.
>>
>> Please send all comments to the list and copy the author, 
>> [email-masked]
>>
>> --
>> Dean
>>
>> _______________________________________________
>> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
>> This list is for NEW development of the core SIP Protocol Use 
>> [email-masked] for questions on current sip Use 
>> [email-masked] for new developments on the application of sip
>

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Jonathan Rosenberg <[email-masked]>
Date: Wed, 12 Apr 2006 11:11:17 -0400

> Or something like that...

I don't like that wording. I think its important to give clear guidance 
on what an implementor should do. The clear guidance is to implement the 
loop detection mechanism in RFC3261.

-Jonathan R.

-- 
Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
Cisco Fellow                                   Parsippany, NJ 07054-2711
Cisco Systems
[email-masked]                              FAX:   (973) 952-5050
http://www.jdrosen.net                         PHONE: (973) 952-5000
http://www.cisco.com